/* $Header: /home/yav/fkiss/RCS/extern.h,v 1.11 1997/05/04 11:21:30 yav Exp $
 * fkiss external functions
 * written by yav (UHD98984@biglobe.ne.jp)
 */


#ifdef PUBLIC_FKISS_C
# define public
#else
# define public extern
#endif
public int change_setpal();
public int move_object2();
public void redraw_cells();
public void ks_filename();
public int search_cell();
public void disp_info();
public FILE *ks_fopen();
public void poor_system_pixels();
public void set_system_pixels();
public void parse_system_colors();
public void free_system_colors();
#undef public

#ifdef PUBLIC_SUB_C
# define public
#else
# define public extern
#endif
public char *ks_malloc();
public char *ks_realloc();
public char *ks_strdup();
public int ks_system2();
public void ks_system();
public void get_directory();
public char *get_filename();
public int is_suffix();
public void cut_crlf();
public void kiss_exit();
public void dos_filename();
public int strcmp_dos_filename();
public void ks_srand();
public int ks_rand();
#undef public

#ifdef PUBLIC_MESSAGE_C
# define public
#else
# define public extern
#endif
public void msg_init();
public int msg_queued();
#if NeedFunctionPrototypes
# if USE_STDARG
public void msgset(const char *, ...);
public void msg(const char *, ...);
# else
#  if USE_VARARGS
public void msgset();
public void msg();
#  else
public void msgset();
public void msg();
#  endif
# endif
#else /* NeedFunctionPrototypes */
# ifdef __STDC__
public void msgset(const char *, ...);
public void msg(const char *, ...);
# else /* __STDC__ */
public void msgset();
public void msg();
# endif /* __STDC__ */
#endif /* NeedFunctionPrototypes */
#undef public

#ifdef PUBLIC_MENU_C
# define public
#else
# define public extern
#endif
public int draw_string();
public void draw_menu_string();
public void change_menu_status();
public int calc_text_size();
public MW *alloc_mw();
public int which_winlist();
public void load_font();
public void expose_menu();
public void create_set_menu();
public void press_menu();
public void enter_menu();
public void leave_menu();
public void menu_setpal_change();
public Window aboutwin;
public void set_menu_window_attributes();
public void change_menu_func();
public void menu_resize();
public char *get_client_info();
public char *get_server_info();
public char *get_visual_info();
public char *get_cell_info();
#undef public

#ifdef PUBLIC_SELCNF_C
# define public
#else
# define public extern
#endif
public int select_cnf();
public int is_regular_file();
#undef public

#ifdef PUBLIC_KISSCNF_C
# define public
#else
# define public extern
#endif
public void init_object_cell();
public int read_config();
#undef public

#ifdef PUBLIC_KISSEVE_C
# define public
#else
# define public extern
#endif
public char *parse_string();
public int cnf_event();
public int compile_event();
public int kissevent_initialize();
public int kissevent_handler();
public void kissevent_timer();
public int save_config();
public void init_redraw_area();
public int change_cel_mapping();
public void update_redraw_area();
public int get_sleep_time();
#undef public

#ifdef PUBLIC_COMMENT_C
# define public
#else
# define public extern
#endif
public void expose_comment();
public void unmap_comment();
public void map_comment();
#undef public

#ifdef PUBLIC_BG_C
# define public
#else
# define public extern
#endif
public int bg_shell();
public void bg_exit();
public int bg_play();
public int background();
#undef public

#ifdef PUBLIC_CURSOR_C
# define public
#else
# define public extern
#endif
public void init_cursor();
public void cursor_grip();
public void cursor_hand();
public void cursor_scroll();
#undef public

#ifdef PUBLIC_COLOR_C
# define public
#else
# define public extern
#endif
public int read_colors();
public int alloc_colors();
public int set_private_colorcells();
#undef public

#ifdef PUBLIC_DIR_C
# define public
#else
# define public extern
#endif
public char **dir_ls();
public void dir_free();
#undef public

#ifdef PUBLIC_CODECONV_C
# define public
#else
# define public extern
#endif
public char *coding_name();
public int check_coding();
public void convert_coding();
#undef public

#ifdef PUBLIC_JISCODE_C
# define public
#else
# define public extern
#endif
public int is_sjis_1st();
public int is_sjis_2nd();
public unsigned short ysjis2jis();
public unsigned short yjis2sjis();
#undef public

#ifdef PUBLIC_SOUND_C
# define public
#else
# define public extern
#endif
public int sound_debug;
public int sound_init();
public void sound_end();
public int sound_play();
public int sound_cache();
public long sound_filesize();
#undef public

/* End of file */
