/* $Header: /home/yav/fkiss/RCS/headers.h,v 1.9 1997/05/04 11:21:30 yav Exp $
 * fkiss header files and macros for portability
 * written by yav (UHD98984@biglobe.ne.jp)
 */

/* for malloc free... */
#ifdef HAVE_STDLIB_H
# include <stdlib.h>
#endif

#ifdef STDC_HEADERS
# include <string.h>
#else
# ifdef HAVE_STRINGS_H
#  include <strings.h>
# endif
#endif

#ifndef HAVE_INDEX
# define index strchr
#endif
#ifndef HAVE_RINDEX
# define rindex strrchr
#endif
#ifndef HAVE_BCOPY
# define bcopy(src,dst,len) memcpy((dst),(src),(len))
#endif
#ifndef HAVE_BCMP
# define bcmp(dst,src,len) memcmp((dst),(src),(len))
#endif


#ifndef MAXPATH
# ifdef MAXPATHLEN
#  define MAXPATH MAXPATHLEN
# else
#  define MAXPATH 1024
# endif
#endif

/* for (void *) not supported C-compiler */
#ifdef __STDC__
typedef void *VOIDPTR;
#else
typedef char *VOIDPTR;
#endif

/* get signed short value (little-endian byte order) */
#define GET_SHORT(p) (*((unsigned char *)p)|(*(((char *)p)+1) << 8))

/* variable arguments */

#ifndef USE_STDARG
#ifndef USE_VARARGS
# if HAVE_STDARG_H
#  define USE_STDARG 1
# else
#  if HAVE_VARARGS_H
#   define USE_VARARGS 1
#  endif
# endif
#endif
#endif

#if USE_STDARG
# if HAVE_STDARG_H
#  include <stdarg.h>
# endif
#endif
#if USE_VARARGS
# if HAVE_VARARGS_H
#  include <varargs.h>
# endif
#endif

/* directory access routine */
#ifndef USE_BSD_DIRLIB
# ifndef HAVE_DIRENT_H
#  ifndef HAVE_SYS_NDIR_H
#   ifndef HAVE_SYS_DIR_H
#    ifndef HAVE_NDIR_H
#     define USE_BSD_DIRLIB 0
#    endif
#   endif
#  endif
# endif
# ifndef USE_BSD_DIRLIB
#  define USE_BSD_DIRLIB 1
# endif
#endif

/* End of file */
