/* $Header: /home/yav/fkiss/RCS/work.c,v 1.16 1997/05/04 11:20:46 yav Exp $
 * fkiss global work
 * written by yav (UHD98984@biglobe.ne.jp)
 */

char id_work[] = "$Id: work.c,v 1.16 1997/05/04 11:20:46 yav Exp $";

#include <X11/Xlib.h>
#include <stdio.h>

#include "config.h"

#include "headers.h"
#include "fkiss.h"
#include "version.h"

char str_fullname[] = "French-KISS!";
char str_version[] = FKISS_VERSION;
char str_author[] = "yav (UHD98984@biglobe.ne.jp)";
char *coptions[] = {
#ifdef __STDC__
  "__STDC__",
#endif
#ifdef _POSIX_SOURCE
  "_POSIX_SOURCE",
#endif
#ifdef _BSD_SOURCE
  "_BSD_SOURCE",
#endif
#ifdef _GNU_SOURCE
  "_GNU_SOURCE",
#endif
#ifdef __STRICT_ANSI__
  "__STRICT_ANSI__",
#endif
#ifdef __GNUC__
  "__GNUC__",
#endif
#include "coptions"
#ifdef USE_STDARG
# if USE_STDARG
  "USE_STDARG",
# else
  "!USE_STDARG",
# endif
#endif
#ifdef USE_VARARGS
# if USE_VARARGS
  "USE_VARARGS",
# else
  "!USE_VARARGS",
# endif
#endif
#ifdef USE_BSD_DIRLIB
# if USE_BSD_DIRLIB
  "USE_BSD_DIRLIB",
# else
  "!USE_BSD_DIRLIB",
# endif
#endif
  NULL};
char kiss_magic_number[] = KISS_MAGIC_NUMBER;
int oargc;
char **oargv;
Display *dsp = NULL;
int scr;
int screen_depth;
Window rootwin;
unsigned long spx[SPX_MAX];	/* System pixel */
GC sysgc[SGC_MAX];		/* System GC */
int debug_mode = 0;
int test_mode = 0;
char *extract_dir = NULL;
char *conf_dir;
char *conf_file;
char *str_font = NULL;
char *str_font8 = NULL;
char *str_font16 = NULL;
Pixmap iconp = None;
int iconw, iconh;
Window topwin;
int topw, toph;			/* topwin width, height */
XFontStruct *fsp = NULL;
XFontStruct *fsp8 = NULL;
XFontStruct *fsp16 = NULL;
int font_ascent = 11;
int font_descent = 2;
int font8_ascent = 16;
int font8_descent = 0;
int font16_ascent = 16;
int font16_descent = 0;
Window viewwin;
int vieww, viewh;
Window mnwin;
int mnx = 0;
int mny;
int mnw;
int mnh = 24;
int mnbw = 1;			/* menu bar window border width */
int setcnt = 0;			/* set count */
int palcnt = 0;			/* palette group count */
Bool quit_flag = False;
int cset = 0;			/* current set (0...MAXSET-1) */
int cpal = -1;			/* current col (0...MAXPAL-1) */
char *str_geometry = "";
int imgw0 = KISS_WIDTH_DEFAULT;
int imgh0 = KISS_HEIGHT_DEFAULT;
int imgx, imgy, imgw, imgh;
int imgbw = 1;			/* image window border width */
int scrdx, scrdy;		/* imgx, imgy add value */
int celcnt;
int objcnt;			/* object mark max value */
int objcnt2;			/* effective object count */
int motion_compress = 1;	/* 0:trace smooth 1:compress pointer motion */
unsigned char hatch_ptrn[] = {	/* 8x8 cross hatch pattern */
  0xaa, 0x55, 0xaa, 0x55, 0xaa, 0x55, 0xaa, 0x55};
int arcfilecnt = 0;		/* archive file count */
char **arcfilelist = NULL;	/* archive filename pointer */
int verbose_mode = 1;		/* bit0:warning bit1:message */
int sound_mode = 1;		/* 0:no use 1:internal 2:external */
char active_set[MAXSET];	/* 0:no use 1:active */
int border_color = -1;		/* KISS border area color */
int max_fix = 0;
CELL *cell = NULL;		/* cell data structures list */
OBJECT *object = NULL;
int colorfilecnt;		/* color file count described in cnf */
COLOR *kcflist = NULL;		/* [MAXCOL] */
SETINFO kset[MAXSET];		/* set color and object positions */

Colormap cmap;			/* default colormap */
int gray_mode = 0;		/* 0:Color 1:GrayScale 2:1plane-mono */
int colcnt = 0;			/* loaded color count */
XColor *xcol = NULL;		/* [MAXPAL][MAXCOL] */
KISSCOLOR *kcol = NULL;		/* [MAXPAL][MAXCOL] */
short *colindex = NULL;		/* [MAXCOL] */
char *str_curs_fore = NULL;	/* cursor fore color */
char *str_curs_back = NULL;	/* cursor back color */
int cursor_mode = 3;		/* cursor font control mode
				 * bit0:hand
				 * bit1:grip
				 */
int event_mode = 1;		/* != 0 Event extension enable */
Bool event_detect;		/* True: Found event extension in cnf */
int sleep_tick = 16;		/* 16.666...ms = 1/60 sec. */
int private_color_mode = 0;	/* != 0 use private color cells */
int private_colormap_mode = 1;	/* == 0 disable to use private color map */
char infostr0[256] = "Pointed: ";
char infostr[256] = "(None)";
int cnf_comment_cnt;		/* number of hold comment strings */
char **cnf_comment = NULL;	/* comment strings holding buffer list */
int coding_type = CODING_UNKNOWN; /* cnf comment Kanji coding system */
int objpos_first_align = 0;	/* adjust object position by first set value */
				/* now, under construction */
int oldcnf_comaptible = 0;	/* Old style single line set info. */
char *hes_keyword = "open sesame";
Window infowin;
int evn;			/* registrated event number (<= MAXEVENT) */
int enable_event_shell = 0;	/* != 0 enable to execute event shell */
char *evid = ";@EventHandler";	/* event extension identifier */
int randseed = 0;		/* seed for pseudo-random numbers */
char *str_sound_cache_limit = NULL;
long sound_cache_limit = 256*1024L; /* sound cache buffer limit */
int wkiss_bug_emulation = 0;	/* event extension DOS filename */
int transparency_mode = 1;	/* 0:none 1:static 2:realtime */
Window comwin;			/* comment window */
int combw = 1;			/* comment window border width (pixel) */
int comment_mode = 2;		/* comment mode
				 * 0: None
				 * 1: One cel
				 * 2: All cel
				 */
int comment_linenum = 0;	/* 0:without line# 1:with line# */

/* End of file */
